## imcode.server.user
Class UserAndRoleRegistryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              imcode.server.user.UserAndRoleRegistryException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NameTooLongException, RoleAlreadyExistsException, UserAlreadyExistsException

    public class UserAndRoleRegistryException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`UserAndRoleRegistryException(java.lang.String message)`
`UserAndRoleRegistryException(java.lang.Throwable e)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserAndRoleRegistryException

    public UserAndRoleRegistryException(java.lang.String message)

### UserAndRoleRegistryException

    public UserAndRoleRegistryException(java.lang.Throwable e)